## org.apache.catalina
Interface LifecycleListener

All Known Implementing Classes:
  ContextConfig, EngineConfig, GlobalResourcesLifecycleListener, HostConfig, NamingContextListener, ServerLifecycleListener, StandardDefaultContext, UserConfig

public interface LifecycleListener

Interface defining a listener for significant events (including "component start" and "component stop" generated by a component that implements the Lifecycle interface.

Version:
  $Revision: 466595 $ $Date: 2006-10-21 18:24:41 -0400 (Sat, 21 Oct 2006) $
Author:
  Craig R. McClanahan

Method Summary
`void` `lifecycleEvent(LifecycleEvent event)` Acknowledge the occurrence of the specified event.

Method Detail

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Acknowledge the occurrence of the specified event.

  Parameters:
    `event` - LifecycleEvent that has occurred

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.